package org.tinsae.grpc.server;

import org.tinsae.grpc.HelloWorldServiceImpl;
import io.grpc.Server;
import io.grpc.ServerBuilder;
import java.io.IOException;

public class HelloWorldServer {
    public static void main(String[] args) throws IOException,
            InterruptedException {
        Server server = ServerBuilder.forPort(8080)
                .addService(new HelloWorldServiceImpl())
                .build();
        server.start();
        System.out.println("Server started...");
        server.awaitTermination();
    }
}
